Bug 166668 - [68cat] First process collapsing code folds
[68cat] First process collapsing code folds
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
6.x
PC Windows XP
: P3 with 1 vote (vote)
: 7.2
Assigned To: Tomas Zezula
issues@editor
:
Depends on: 177261
Blocks: 133943 182187
  Show dependency treegraph
 
Reported: 2009-06-06 14:15 UTC by ulfzibis
Modified: 2012-02-09 09:02 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ulfzibis 2009-06-06 14:15:11 UTC
[ BUILD # : RC1 ]
[ JDK VERSION : 1.6.* ]

As scanning for Navigator and Tasks view sometimes takes too much
time, please first process collapsing code folds for seamless edit
performance.
Comment 1 David Strupl 2009-06-30 08:40:03 UTC
Ulf, you mentioned in one of your mails to netcat that this issue is obsolete in the dev builds (trunk/6.8.). Can we
close this report then?
Comment 2 ulfzibis 2009-06-30 11:27:52 UTC
I guess, the task "First process collapsing code folds" is not done yet, but for now it seems to be not necessary.

You can close it.

If collapsing becomes slow again, I would reopen it.
Comment 3 ulfzibis 2009-09-09 10:46:28 UTC
Unhappily I must reopen this issue.
When making changes to "important" classes like String, I have to wait 1..15 min. until editing in comfortable collapsed
state is possible.
After initial start and first project scan (up to 15 min.) collapsed view is real fast, but after some time of working
it becomes slower and slower.
Comment 4 Vitezslav Stejskal 2009-09-09 15:24:33 UTC
Could you be more specific please? What exactly you do? Does closing the Navigator (or tasklist) help? Can you generate
a log with -J-Dorg.netbeans.modules.parsing.impl.indexing.RepositoryUpdater.level=FINE?

Also remember that when changing anything in a class that is publicly accessible from the outside (eg. a public method
signature) the IDE is likely to rescan classes that depend on (use) the modified class. In case of java.lang.String this
can be a lot of classes to compile.
Comment 5 ulfzibis 2009-09-10 16:32:57 UTC
> Could you be more specific please? What exactly you do?
I change some or more characters in a java source file, save it, and new scan starts in background.
When I open another java source file, I have to wait very long time to have the javadoc collapsed.

> Does closing the Navigator (or tasklist) help?
> Can you generate a log with -J-Dorg.netbeans.modules.parsing.impl.indexing.RepositoryUpdater.level=FINE?
I will try this.

> Also remember that when changing anything in a class that is publicly accessible from the outside (eg. a public method
> signature) the IDE is likely to rescan classes that depend on (use) the modified class. In case of java.lang.String
> this can be a lot of classes to compile.
For sure, this is the reason for this.
... but this issue is not about enhancing the scan speed, it's just about collapsing the default code folds first on
opening an editor tab, instead of waiting for successful navigator and other scans, so user can instantly start
scrolling and typing.


Comment 6 Vitezslav Stejskal 2009-09-11 09:19:33 UTC
"it's just about collapsing the default code folds first" - Ok, I'll see what we can do about this.
Comment 7 ulfzibis 2011-10-17 23:18:06 UTC
Related to / depends on ? bug 177261.
Comment 8 Tomas Zezula 2012-02-09 09:02:33 UTC
Fixed jet-main 41985eb45913


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo